execute at @e[tag=delbox] run teleport @a[tag=!player] ~ ~1 ~
gamemode adventure @a[tag=!player]

scoreboard players add @a[tag=triggers] welcometimer 1
execute as @a[scores={welcometimer=60}] at @s run playsound welcome master @s ~ ~ ~ 4 1

scoreboard players add @a[tag=!player] magicshifter 0

execute as @a[tag=!player] run function custom:startinggear

execute if entity @a[tag=triggers] run time set 0
scoreboard players set @a[tag=!player] hours 0
scoreboard players set @a[tag=!player] tier 0

effect give @a[tag=!player] minecraft:resistance 999999 5 true
recipe give @a[tag=!player] *
execute as @a[tag=!player] run function custom:uniqueplayer

tag @a[tag=!player,tag=!ready] add triggers
execute if entity @a[tag=triggers] run function custom:triggers
scoreboard players set @a[tag=!player] wandselect 0
tag @a[tag=!player] add player

#Particles#
scoreboard players add particles2 specialtimer 1
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~3 ~1.5 ~-3 run particle end_rod ~ ~ ~ 0 0 0 1 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~4 ~2.5 ~-3 run particle dripping_water ~ ~ ~ 0.05 0.05 0.05 0 2 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~5 ~1.5 ~-3 run particle dripping_lava ~ ~ ~ 0.05 0.05 0.05 0 2 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~6 ~2.5 ~-3 run particle dust 0.500 0.500 0.500 1 ~ ~ ~ 0 0 0 0 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~7 ~1.5 ~-3 run particle entity_effect ~ ~ ~ 0.000 1.000 0.000 1 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~8 ~2.5 ~-2 run particle dust 0.600 0.000 0.000 1 ~ ~ ~ 0 0 0 0 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~8 ~1.5 ~-1 run particle composter ~ ~ ~ 0 0 0 1 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~8 ~2.5 ~ run particle dust 1.000 0.500 0.000 1 ~ ~ ~ 0 0 0 0 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~8 ~2.5 ~ if score particles2 specialtimer matches 10 run particle lava ~ ~ ~ 0 0 0 1 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~8 ~1.5 ~1 run particle dust 1.000 0.000 1.000 1 ~ ~ ~ 0 0 0 0 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~8 ~1.5 ~1 run particle portal ~ ~ ~ 0 0 0 1 1 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~8 ~2.5 ~2 run particle flame ~ ~ ~ 0 0 0 1 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~7 ~1.5 ~3 run particle dust 0.000 1.000 1.000 1 ~ ~ ~ 0 0 0 0 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~7 ~1.5 ~3 run particle item_snowball ~ ~ ~ 0 0 0 1 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~6 ~2.5 ~3 run particle witch ~ ~ ~ 0 0 0 1 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~5 ~1.5 ~3 run particle dust 0.000 0.000 0.500 1 ~ ~ ~ 0 0 0 0 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~5 ~1.5 ~3 if score particles2 specialtimer matches 10 run particle soul_fire_flame ~ ~ ~ 0 0 0 1 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~5 ~1.5 ~3 if score particles2 specialtimer matches 5 run particle dust 1.000 0.000 1.000 1 ~ ~ ~ 0 0 0 0 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~4 ~2.5 ~3 run particle dust 0 0 0 1 ~ ~ ~ 0 0 0 0 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~4 ~2.5 ~3 if score particles2 specialtimer matches 10 run particle soul ~ ~ ~ 0 0 0 1 0 normal
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~3 ~1.5 ~3 run particle dust 0.000 0.541 0.486 1 ~ ~ ~ 0 0 0 0 0 normal
execute if score particles2 specialtimer matches 10.. run scoreboard players set particles2 specialtimer 0

#Show Spells#
execute at @e[type=armor_stand,tag=delbox,limit=1,sort=nearest] positioned ~5 ~1 ~ as @a[distance=..3] run function custom:showboxspells

#Wand Choosing#
tag @a[tag=wandchoosing] remove wandchoosing
tag @a[scores={wandshift=1..},tag=holdwand] add wandchoosing
execute as @a[tag=wandchoosing] at @s run function custom:wandchooser
scoreboard players set @a[scores={wandshift=1..}] wandshift 0
tag @a[tag=!wandchoosing,tag=scrollplaced] remove scrollplaced

#Wand Organising#
execute as @a[tag=!wandchoosing,tag=!ready] at @s run function custom:wandorganiser
kill @e[type=item,nbt={Item:{tag:{ticket:1b},id:"minecraft:carrot_on_a_stick"}}]

#tag @a[scores={spellscount=5},tag=!ready] add ready
clear @a[tag=ready] written_book{ticket:1b}
clear @a[tag=ready] writable_book{ticket:2b}
clear @a[tag=ready] carrot_on_a_stick{ticket:1b}
execute as @a[tag=ready] at @s unless entity @a[tag=!ready] run function custom:begin