execute at @e[tag=delbox] run spreadplayers ~ ~ 15 50 true @a
tag @a add falling
gamerule spawnRadius 50
clear @s carrot_on_a_stick{ticket:1b}
give @s minecraft:carrot_on_a_stick{ticket:1b,display:{Name:'{"text":"Wand","color":"light_purple","italic":true}'},Enchantments:[{id:"minecraft:knockback",lvl:5}],CustomModelData:10000000} 1
give @s iron_pickaxe{Unbreakable:1b,ticket:10b,Enchantments:[{id:"minecraft:silk_touch",lvl:1s}]} 1
give @s minecraft:carrot_on_a_stick{display:{Name:'{"text":"Crystal Ball"}'},Unbreakable:1b,CustomModelData:10000800,ticket:8b,Enchantments:[{id:"minecraft:fortune",lvl:1s}]} 1
time set 0
gamemode survival @a
tag @a add timed
execute at @e[tag=delbox] run fill ~-3 ~ ~-8 ~9 ~4 ~8 air
execute at @e[tag=delbox] run kill @e[type=item,distance=..12]
effect clear @a minecraft:resistance
tag @a remove triggers
tag @a remove holdwand

#Shulker Box#
execute at @e[type=armor_stand,tag=delbox,limit=1] positioned ~ -63 ~ run summon minecraft:area_effect_cloud ~ ~ ~ {NoGravity:1b,Radius:0f,Duration:2147483647,Tags:["shulker"]}
execute at @e[type=armor_stand,tag=delbox,limit=1] positioned ~ -63 ~ run setblock ~ ~ ~ shulker_box

#Locator#
execute if entity @p[tag=ready] store result score @a locx run data get entity @e[type=armor_stand,tag=delbox,limit=1] Pos[0] 1
execute if entity @p[tag=ready] store result score @a locz run data get entity @e[type=armor_stand,tag=delbox,limit=1] Pos[2] 1
kill @e[tag=delbox]

#Monthly Message#
tellraw @s ["",{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"Base","color":"aqua","obfuscated":true},{"text":" -THIS MONTH: A few mobs have extra drops - Discover for yourself!-","color":"gold","obfuscated":false},{"text":"Race","color":"aqua","obfuscated":true}]
#tellraw @s ["",{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"Base","color":"aqua","obfuscated":true},{"text":" -THIS MONTH: Zombies can one-shot you!-","color":"gold","obfuscated":false},{"text":"Race","color":"aqua","obfuscated":true},{"text":"\n"},{"text":"\n"},{"text":"If the special feature this month causes you too much lag, you can turn it off here: ","color":"dark_aqua"},{"text":"[ON] ","underlined":true,"color":"gold","clickEvent":{"action":"run_command","value":"/trigger trigspecon add 1"}},{"text":"[OFF] ","underlined":true,"color":"red","clickEvent":{"action":"run_command","value":"/trigger trigspecoff add 1"}},"\n",{"text":"(Type /reload to bring up this prompt again)","color":"gray"}]

#Dragons#
execute unless score dragons counter matches 1 unless entity @e[type=armor_stand,tag=dragdone] run function custom:draggo
execute if score dragons counter matches 1 run datapack disable "file/dragon"

#Shrine#
execute unless score shrine specialtimer matches 1 run function custom:shrine/setshrine
scoreboard players set shrine specialtimer 1

scoreboard players set rotater rotupdown 0

scoreboard players set @s whitecooldown 0
scoreboard players set @s bluecooldown 0
scoreboard players set @s redcooldown 0
scoreboard players set @s greycooldown 0
scoreboard players set @s bloodredcooldown 0
scoreboard players set @s dgreencooldown 0
scoreboard players set @s orangecooldown 0
scoreboard players set @s limecooldown 0
scoreboard players set @s pinkcooldown 0
scoreboard players set @s yellowcooldown 0
scoreboard players set @s lbluecooldown 0
scoreboard players set @s purplecooldown 0
scoreboard players set @s shieldcooldown 0
scoreboard players set @s dbluecooldown 0
scoreboard players set @s blackcooldown 0

scoreboard players set @a spellscount 0
tag @a remove ready

execute as @s[nbt={Inventory:[{Slot:103b,id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:10002000}}]},scores={slot3=1}] run item replace entity @s armor.head with minecraft:carrot_on_a_stick{display:{Name:'{"text":"Magic Hat"}'},CustomModelData:10002001,Enchantments:[{id:"minecraft:binding_curse",lvl:1}]} 1
execute as @s[nbt={Inventory:[{Slot:103b,id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:10002000}}]},scores={slot3=2}] run item replace entity @s armor.head with minecraft:carrot_on_a_stick{display:{Name:'{"text":"Magic Hat"}'},CustomModelData:10002002,Enchantments:[{id:"minecraft:binding_curse",lvl:1}]} 1
execute as @s[nbt={Inventory:[{Slot:103b,id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:10002000}}]},scores={slot3=3}] run item replace entity @s armor.head with minecraft:carrot_on_a_stick{display:{Name:'{"text":"Magic Hat"}'},CustomModelData:10002003,Enchantments:[{id:"minecraft:binding_curse",lvl:1}]} 1
execute as @s[nbt={Inventory:[{Slot:103b,id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:10002000}}]},scores={slot3=4}] run item replace entity @s armor.head with minecraft:carrot_on_a_stick{display:{Name:'{"text":"Magic Hat"}'},CustomModelData:10002004,Enchantments:[{id:"minecraft:binding_curse",lvl:1}]} 1
execute as @s[nbt={Inventory:[{Slot:103b,id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:10002000}}]},scores={slot3=5}] run item replace entity @s armor.head with minecraft:carrot_on_a_stick{display:{Name:'{"text":"Magic Hat"}'},CustomModelData:10002005,Enchantments:[{id:"minecraft:binding_curse",lvl:1}]} 1
execute as @s[nbt={Inventory:[{Slot:103b,id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:10002000}}]},scores={slot3=6}] run item replace entity @s armor.head with minecraft:carrot_on_a_stick{display:{Name:'{"text":"Magic Hat"}'},CustomModelData:10002006,Enchantments:[{id:"minecraft:binding_curse",lvl:1}]} 1
execute as @s[nbt={Inventory:[{Slot:103b,id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:10002000}}]},scores={slot3=7}] run item replace entity @s armor.head with minecraft:carrot_on_a_stick{display:{Name:'{"text":"Magic Hat"}'},CustomModelData:10002007,Enchantments:[{id:"minecraft:binding_curse",lvl:1}]} 1
execute as @s[nbt={Inventory:[{Slot:103b,id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:10002000}}]},scores={slot3=8}] run item replace entity @s armor.head with minecraft:carrot_on_a_stick{display:{Name:'{"text":"Magic Hat"}'},CustomModelData:10002008,Enchantments:[{id:"minecraft:binding_curse",lvl:1}]} 1
execute as @s[nbt={Inventory:[{Slot:103b,id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:10002000}}]},scores={slot3=9}] run item replace entity @s armor.head with minecraft:carrot_on_a_stick{display:{Name:'{"text":"Magic Hat"}'},CustomModelData:10002009,Enchantments:[{id:"minecraft:binding_curse",lvl:1}]} 1
execute as @s[nbt={Inventory:[{Slot:103b,id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:10002000}}]},scores={slot3=10}] run item replace entity @s armor.head with minecraft:carrot_on_a_stick{display:{Name:'{"text":"Magic Hat"}'},CustomModelData:10002010,Enchantments:[{id:"minecraft:binding_curse",lvl:1}]} 1
execute as @s[nbt={Inventory:[{Slot:103b,id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:10002000}}]},scores={slot3=11}] run item replace entity @s armor.head with minecraft:carrot_on_a_stick{display:{Name:'{"text":"Magic Hat"}'},CustomModelData:10002011,Enchantments:[{id:"minecraft:binding_curse",lvl:1}]} 1
execute as @s[nbt={Inventory:[{Slot:103b,id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:10002000}}]},scores={slot3=12}] run item replace entity @s armor.head with minecraft:carrot_on_a_stick{display:{Name:'{"text":"Magic Hat"}'},CustomModelData:10002012,Enchantments:[{id:"minecraft:binding_curse",lvl:1}]} 1
execute as @s[nbt={Inventory:[{Slot:103b,id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:10002000}}]},scores={slot3=13}] run item replace entity @s armor.head with minecraft:carrot_on_a_stick{display:{Name:'{"text":"Magic Hat"}'},CustomModelData:10002002,Enchantments:[{id:"minecraft:binding_curse",lvl:1}]} 1